I Voted Today

I wrote an "applet" to display the current Homeland Security Threat Level:

Homeland Security

It is in module homeland in GNOME CVS. It is a little rough, a quick hack, but it works. See the TODO.

Update! Thanks to the power of open source, now with color coding and tooltips:

Homeland Security, take two